Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot.module.th.shc
Class TableBSS

    java.lang.Object
      bot.module.th.shc.StartingHandChart
          bot.module.th.shc.TableBSS

All Implemented Interfaces:
  IF_GetProposal, IF_StartingHandChart

    public class TableBSS

extends StartingHandChart

BSS startinghandchart predefined table - defensiv for less than 10 players table from: http://de.pokerstrategy.com/strategy/bss/1535/1

Author:
  Witthold/Korol

Field Summary
`private static int` | `numCalls` table offers 0-1 Calls
`private static int` | `numPosition` table wants the 5 standard position classes 0-4
`private static int` | `numRaises` table offers 0-1 Raises

Fields inherited from class bot.module.th.shc.StartingHandChart
`rank, suite, table`

Constructor Summary
`TableBSS()` Constructor calls super of StartingHandChart

Method Summary
`private void` | `createTable()` fills the table array
`private void` | `handleAces()` fills proposal of aces into the table array
`private void` | `handleFaceCards()` fills proposal of facecards into the table array
`private void` | `handlePairs()` fills proposal of pairs into the table array
`private void` | `handleSuitedConnectors()` fills proposal of suited connectors into the table array

Methods inherited from class bot.module.th.shc.StartingHandChart
`getProposal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numPosition

    private static final int numPosition

  table wants the 5 standard position classes 0-4

  See Also:
    Constant Field Values

### numCalls

    private static final int numCalls

  table offers 0-1 Calls

  See Also:
    Constant Field Values

### numRaises

    private static final int numRaises

  table offers 0-1 Raises

  See Also:
    Constant Field Values

Constructor Detail

### TableBSS

    public TableBSS()

  Constructor calls super of StartingHandChart

Method Detail

### createTable

    private void createTable()

  fills the table array

### handlePairs

    private void handlePairs()

  fills proposal of pairs into the table array

### handleAces

    private void handleAces()

  fills proposal of aces into the table array

### handleFaceCards

    private void handleFaceCards()

  fills proposal of facecards into the table array

### handleSuitedConnectors

    private void handleSuitedConnectors()

  fills proposal of suited connectors into the table array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD